
TextCritical.net - Task #2156

Change loading icon

11/18/2017 07:18 PM - Luke Murphey

Status: Closed Start date: 11/18/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0   

Description

http://v3.preloaders.net/preloaders/484/Instagram%20loading.gif

http://v3.preloaders.net/preloaders/91/Spinning%20line.gif

See http://v3.preloaders.net/, https://loading.io/#

Associated revisions

Revision 844 - 10/05/2018 06:50 PM - lukemurphey

Updating the loading animation

Closes #2156

Revision 845 - 10/05/2018 06:51 PM - lukemurphey

Updating the loading animation

Closes #2156

History

#1 - 02/08/2018 07:45 PM - Luke Murphey

Also:

https://loading.io/spinner/dual-ring/-dual-ring-loader

https://codepen.io/alanshortis/pen/eJLVXr

#2 - 10/05/2018 05:48 PM - Luke Murphey

<div class="loading"></div>

 

$base-line-height: 24px;

$white: rgb(255,255,255);

$off-white: rgba($white, 0.2);

$spin-duration: 1s;

@keyframes spin {

  0% {

    transform: rotate(0deg);

  }

  100% {

    transform: rotate(360deg);

  }

}
html {

  height: 100%;

}

body {

  @extend html;

  display: flex;

  justify-content: space-around;

  align-items: center;

  background: #333333;

}

.loading {

    border-radius: 50%;

    width: $base-line-height;

    height: $base-line-height;

    border: .25rem solid $off-white;

    border-top-color: $white;

    animation: spin $spin-duration infinite linear;

}

#3 - 10/05/2018 06:48 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
